<form class="form-horizontal"  method="post">
    <div class=" p-3">
        <!---/Company details-->

        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Street</label>
            <div class="col-md-8">
                <input type="text" name="street"  id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Area</label>
            <div class="col-md-8">
                <input type="text" ngModel name="area" id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">City/Town</label>
            <div class="col-md-8">
                <input type="text" ngModel name="city_town" id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">District</label>
            <div class="col-md-8">
                <input type="text" ngModel name="district" id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Police Station</label>
            <div class="col-md-8">
                <input type="text" ngModel name="police_station" id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label ">Country</label>
            <div class="col-md-8">
                <select  name="country" data-region-id="ABC" data-default-value="India"  class="crs-country b-4 form-control" >
                   
                </select>
            </div>
        </div>

        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">State</label>
            <div class="col-md-8">
                <select ngModel name="state" data-default-value="West Bengal"  class=" form-control b-4" id="ABC">
                    
                </select>
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Zip Code</label>
            <div class="col-md-8">
                <input type="text" ngModel name="zip_code" id="" class="form-control mb-1 b-4">
            </div>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Do you have an additional place of business/branch?</label>
            <div class="col-md-2">
                <select  name="branch" id="" class="form-control b-4">
                    <option></option>
                </select>
            </div>
            <ng-container >
            <label class="col-form-label">No of Branch(s)</label>
            <div class="col-md-1">
                <input type="number"  name="no_of_branches" min="1" class="form-control mb-1 b-4">
            </div>
            <a href="#" class="text-primary mt-2" data-target="#branchDetails" data-toggle="modal"><i
                    class="fa fa-pencil" aria-hidden="true" ></i> Edit</a>
                </ng-container>
        </div>
        <div class="form-group row mb-2">
            <label class="col-md-4 col-form-label">Do you have any warehouse?</label>
            <div class="col-md-2">
                <select  name="warehouse" id="" class="form-control b-4">
                    <option ></option>
                </select>
            </div>
            <ng-container >
            <label class="col-form-label">No of Warehouse</label>
            <div  class="col-md-1">
                <input type="number"  name="no_of_warehouses" min="1" class="form-control mb-1 b-4">
            </div>
            <a  href="#"  class="text-primary mt-2" data-target="#WarehouseDetails" data-toggle="modal" ><i
                    class="fa fa-pencil" aria-hidden="true"></i> Edit</a>
                </ng-container>
        </div>
    </div>

    <hr>
    <div class="text-right mb-2">
        <button type="button" class="btn btn-warning">Cancel</button>
        <button type="button" class="btn btn-primary">Save</button>
    </div>



</form>

<form>

    <!------modal for branch details---------->

    <div class="modal fade" id="branchDetails" tabindex="-1" role="dialog" aria-labelledby="branchDetailsTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-60 modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="branchDetailsTitle">Branch Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body p-4" >
                    <app-editor-com-branch-details ></app-editor-com-branch-details>
                </div>
                <div class="modal-footer">
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal" aria-label="Close">Cancel</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---end modal for branch details added--->

</form>
<form>
    <!---- modal for wire hose details ----------->
    <div class="modal fade" id="WarehouseDetails" tabindex="-1" role="dialog" aria-labelledby="WarehouseDetails"
        aria-hidden="true">
        <div class="modal-dialog modal-modal-dialog-80 modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="WarehouseDetailsTitle">Warehouse Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <app-editor-com-warehouse-details></app-editor-com-warehouse-details>
                </div>
                <div class="modal-footer">
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal" aria-label="Close">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--------end modal for wire house------------>

</form>

<form>
    <!---modal for Registration Details--->
    <div class="modal fade" id="RegistrationDetails" tabindex="-1" role="dialog" aria-labelledby="RegistrationDetails"
        aria-hidden="true">
        <div class="modal-dialog modal-modal-dialog-80 modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="RegistrationDetailsTitle">Other Registration Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Registration Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal"
                            aria-label="Close">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for Registration details--->

</form>
<form>
    <!---modal for TAN--->
    <div class="modal fade" id="Trade" tabindex="-1" role="dialog" aria-labelledby="Trade" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="TradeTitle">Trade Licence Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Trade Licence Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal"
                            aria-label="Close">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for Trade--->
</form>
<form>
    <!---modal for Professional Tax Enrollment--->
    <div class="modal fade" id="sptaxEnrollment" tabindex="-1" role="dialog" aria-labelledby="ptaxEnrollmentTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="ptaxEnrollmentTitle">Professional Tax Enrollment</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Enrollment Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row  mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for professional Tax Enrollment--->
</form>
<form>
    <!---modal for GST--->
    <div class="modal fade" id="GST" tabindex="-1" role="dialog" aria-labelledby="GSTTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="GSTTitle">GST Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">GST Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal"
                            aria-label="Close">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for GST--->
</form>
<form>
    <!---modal for TAN--->
    <div class="modal fade" id="TAN" tabindex="-1" role="dialog" aria-labelledby="TANTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="TANTitle">TAN Details</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Tax deduction and collection Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning" data-dismiss="modal"
                            aria-label="Close">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for TAN--->

</form>
<form>
    <!---modal for State Insurance--->
    <div class="modal fade" id="sStateInsurance" tabindex="-1" role="dialog" aria-labelledby="sStateInsuranceTitle"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="sStateInsuranceTitle">Employee State Insurance</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body p-4">
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">ESI Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row  mb-2">
                        <label for="" class="col-md-6 mt-2">Effective Date of Registration</label>
                        <input type="date" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Department Address</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Range/Ward</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Telephone Number</label>
                        <input type="text" class="col-md-4 form-control b-4">
                    </div>
                    <div class="form-group row mb-2">
                        <label for="" class="col-md-6 mt-2">Attachment</label>
                        <input type="file" class="col-md-4 form-control b-4">
                    </div>
                    <hr>
                    <div class="text-right mb-2">
                        <button type="button" class="btn btn-warning">Cancel</button>
                        <button type="button" class="btn btn-primary">Save</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!---/modal for State Insurance--->

</form>